Bug 1426896 - Review Request: ghc-file-embed - Use Template Haskell to embed file contents directly
Summary: Review Request: ghc-file-embed - Use Template Haskell to embed file contents ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-26 07:31 UTC by Jens Petersen
Modified: 2019-01-16 02:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 02:46:45 UTC
Type: ---
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2017-02-26 07:31:09 UTC
Spec URL: http://petersen.fedorapeople.org//ghc-file-embed.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-file-embed-0.0.10-1.fc25.src.rpm

Description:
Use Template Haskell to read a file or all the files in a directory, and turn
them into (path, bytestring) pairs embedded in your haskell code.

Comment 1 Jens Petersen 2017-02-26 07:59:14 UTC
Needed for fast-logger and warp.

https://koji.fedoraproject.org/koji/taskinfo?taskID=18048003

Comment 2 Elliott Sales de Andrade 2017-08-24 04:13:35 UTC
rpmlint does note that haskell should be Haskell, but otherwise this looks good and is APPROVED.

fedora-review output below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 8 files have unknown
     license. Detailed output of licensecheck in
     1426896-ghc-file-embed/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 14 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-file-embed-0.0.10-1.fc28.x86_64.rpm
          ghc-file-embed-devel-0.0.10-1.fc28.x86_64.rpm
          ghc-file-embed-0.0.10-1.fc28.src.rpm
ghc-file-embed.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-file-embed.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-file-embed.x86_64: W: no-documentation
ghc-file-embed.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
ghc-file-embed.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
ghc-file-embed.src: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-file-embed.src: W: spelling-error %description -l en_US haskell -> Haskell
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ghc-file-embed.x86_64: W: spelling-error %description -l en_US bytestring -> byte string, byte-string, restringing
ghc-file-embed.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-file-embed.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
ghc-file-embed (rpmlib, GLIBC filtered):
    libHSarray-0.5.1.1-ghc8.0.2.so()(64bit)
    libHSbase-4.9.1.0-ghc8.0.2.so()(64bit)
    libHSbytestring-0.10.8.1-ghc8.0.2.so()(64bit)
    libHSdeepseq-1.4.2.0-ghc8.0.2.so()(64bit)
    libHSdirectory-1.3.0.0-ghc8.0.2.so()(64bit)
    libHSfilepath-1.4.1.1-ghc8.0.2.so()(64bit)
    libHSghc-boot-th-8.0.2-ghc8.0.2.so()(64bit)
    libHSghc-prim-0.5.0.0-ghc8.0.2.so()(64bit)
    libHSinteger-gmp-1.0.0.1-ghc8.0.2.so()(64bit)
    libHSpretty-1.1.3.3-ghc8.0.2.so()(64bit)
    libHStemplate-haskell-2.11.1.0-ghc8.0.2.so()(64bit)
    libHStime-1.6.0.1-ghc8.0.2.so()(64bit)
    libHSunix-2.7.2.1-ghc8.0.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-file-embed-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(base-4.9.1.0)
    ghc-devel(bytestring-0.10.8.1)
    ghc-devel(directory-1.3.0.0)
    ghc-devel(filepath-1.4.1.1)
    ghc-devel(template-haskell-2.11.1.0)
    ghc-file-embed(x86-64)



Provides
--------
ghc-file-embed:
    ghc-file-embed
    ghc-file-embed(x86-64)
    libHSfile-embed-0.0.10-KWMmUDaNSRP7AxWSEHlrrK-ghc8.0.2.so()(64bit)

ghc-file-embed-devel:
    ghc-devel(file-embed-0.0.10-KWMmUDaNSRP7AxWSEHlrrK)
    ghc-file-embed-devel
    ghc-file-embed-devel(x86-64)
    ghc-file-embed-static



Unversioned so-files
--------------------
ghc-file-embed: /usr/lib64/ghc-8.0.2/file-embed-0.0.10-KWMmUDaNSRP7AxWSEHlrrK/libHSfile-embed-0.0.10-KWMmUDaNSRP7AxWSEHlrrK-ghc8.0.2.so

Source checksums
----------------
https://hackage.haskell.org/package/file-embed-0.0.10/file-embed-0.0.10.tar.gz :
  CHECKSUM(SHA256) this package     : f751925cec5773a4fad5a48ca0a86a21091ee5f1efccf618a64a89fa2cf5f711
  CHECKSUM(SHA256) upstream package : f751925cec5773a4fad5a48ca0a86a21091ee5f1efccf618a64a89fa2cf5f711


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1426896
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jens Petersen 2017-08-25 05:51:24 UTC
Thank you very much for the review! :-)

Comment 5 Gwyn Ciesla 2017-08-25 12:44:16 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-file-embed

Comment 6 Fedora Update System 2017-08-31 09:59:23 UTC
ghc-file-embed-0.0.10-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 7 Elliott Sales de Andrade 2017-09-03 01:57:38 UTC
Can you build for Fedora 26 also?

Comment 8 Fedora Update System 2017-09-03 19:52:59 UTC
ghc-file-embed-0.0.10-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 9 Fedora Update System 2017-09-14 03:22:24 UTC
ghc-file-embed-0.0.10-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 10 Jens Petersen 2017-09-14 07:50:28 UTC
(In reply to Elliott Sales de Andrade from comment #2)
> rpmlint does note that haskell should be Haskell

Thanks, sorry missed that before importing - fixed now in git.

Comment 11 Jens Petersen 2017-09-14 07:51:00 UTC
(In reply to Elliott Sales de Andrade from comment #7)
> Can you build for Fedora 26 also?

I can if it helps.

Comment 12 Fedora Update System 2017-09-14 18:21:37 UTC
ghc-file-embed-0.0.10-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 13 Elliott Sales de Andrade 2017-09-14 19:32:40 UTC
It's only required for the git-annex webapp, which I'd like to enable eventually, but it's not a high priority at the moment since I'm focusing on the core dependencies to be able to update git-annex

Comment 14 Fedora Update System 2017-09-27 09:57:30 UTC
ghc-crypto-cipher-types-0.0.9-13.fc27 ghc-cryptohash-0.11.9-5.fc27 ghc-cryptonite-0.24-2.fc27 ghc-file-embed-0.0.10-5.fc27 ghc-hakyll-4.9.7.0-4.fc27 ghc-securemem-0.1.9-4.fc27 hledger-1.2-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 15 Fedora Update System 2017-09-27 15:52:58 UTC
darcs-2.12.5-9.fc27, ghc-crypto-cipher-types-0.0.9-13.fc27, ghc-cryptohash-0.11.9-5.fc27, ghc-cryptonite-0.24-2.fc27, ghc-file-embed-0.0.10-5.fc27, ghc-hakyll-4.9.7.0-4.fc27, ghc-securemem-0.1.9-4.fc27, hledger-1.2-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 16 Fedora Update System 2017-10-09 05:01:49 UTC
darcs-2.12.5-9.fc27 ghc-crypto-cipher-types-0.0.9-13.fc27 ghc-crypto-random-0.0.9-6.fc27 ghc-cryptohash-0.11.9-5.fc27 ghc-cryptonite-0.24-2.fc27 ghc-file-embed-0.0.10-5.fc27 ghc-hakyll-4.9.7.0-4.fc27 ghc-securemem-0.1.9-4.fc27 hledger-1.2-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 17 Fedora Update System 2017-10-09 21:54:56 UTC
darcs-2.12.5-9.fc27, ghc-crypto-cipher-types-0.0.9-13.fc27, ghc-crypto-random-0.0.9-6.fc27, ghc-cryptohash-0.11.9-5.fc27, ghc-cryptonite-0.24-2.fc27, ghc-file-embed-0.0.10-5.fc27, ghc-hakyll-4.9.7.0-4.fc27, ghc-securemem-0.1.9-4.fc27, hledger-1.2-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 18 Fedora Update System 2017-10-10 03:21:53 UTC
darcs-2.12.5-10.fc27 ghc-crypto-cipher-types-0.0.9-13.fc27 ghc-crypto-random-0.0.9-6.fc27 ghc-cryptohash-0.11.9-5.fc27 ghc-cryptonite-0.24-2.fc27 ghc-file-embed-0.0.10-5.fc27 ghc-hakyll-4.9.7.0-4.fc27 ghc-securemem-0.1.9-4.fc27 hledger-1.2-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 19 Fedora Update System 2017-10-11 06:25:42 UTC
darcs-2.12.5-10.fc27, ghc-crypto-cipher-types-0.0.9-13.fc27, ghc-crypto-random-0.0.9-6.fc27, ghc-cryptohash-0.11.9-5.fc27, ghc-cryptonite-0.24-2.fc27, ghc-file-embed-0.0.10-5.fc27, ghc-hakyll-4.9.7.0-4.fc27, ghc-securemem-0.1.9-4.fc27, hledger-1.2-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 20 Fedora Update System 2017-10-15 07:41:00 UTC
darcs-2.12.5-11.fc27 ghc-crypto-cipher-types-0.0.9-13.fc27 ghc-crypto-random-0.0.9-6.fc27 ghc-cryptohash-0.11.9-5.fc27 ghc-cryptonite-0.24-2.fc27 ghc-file-embed-0.0.10-5.fc27 ghc-hakyll-4.9.7.0-4.fc27 ghc-securemem-0.1.9-4.fc27 hledger-1.2-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 21 Fedora Update System 2017-10-16 05:22:09 UTC
darcs-2.12.5-11.fc27, ghc-crypto-cipher-types-0.0.9-13.fc27, ghc-crypto-random-0.0.9-6.fc27, ghc-cryptohash-0.11.9-5.fc27, ghc-cryptonite-0.24-2.fc27, ghc-file-embed-0.0.10-5.fc27, ghc-hakyll-4.9.7.0-4.fc27, ghc-securemem-0.1.9-4.fc27, hledger-1.2-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36682cafae

Comment 22 Fedora Update System 2017-11-11 02:46:45 UTC
darcs-2.12.5-11.fc27, ghc-crypto-cipher-types-0.0.9-13.fc27, ghc-crypto-random-0.0.9-6.fc27, ghc-cryptohash-0.11.9-5.fc27, ghc-cryptonite-0.24-2.fc27, ghc-file-embed-0.0.10-5.fc27, ghc-hakyll-4.9.7.0-4.fc27, ghc-securemem-0.1.9-4.fc27, hledger-1.2-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.